# Created by pyp2rpm-3.3.3
%global pypi_name backports.functools_lru_cache

Name:           python-%{pypi_name}
Version:        1.6.1
Release:        1%{?dist}
Summary:        Backport of functools.lru_cache

License:        None
URL:            https://github.com/jaraco/backports.functools_lru_cache
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(setuptools-scm) >= 1.15.0

%description
Backport of functools.lru_cache from Python 3.3 as published at ActiveState.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
 .. .. :target:


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/backports
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%changelog
* Tue Jul 07 2020 cloud_user - 1.6.1-1
- Initial package.
